org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._Head

- All Superinterfaces:
    HamletSpec._Object, HamletSpec._Script, HamletSpec.HeadMisc
  All Known Subinterfaces:
    HamletSpec._Html, HamletSpec.HEAD, HamletSpec.HTML
  All Known Implementing Classes:
    Hamlet, Hamlet.HEAD, Hamlet.HTML, HtmlBlock.Block, HtmlPage.Page
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Head
      extends HamletSpec.HeadMisc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.BASE` | `base()` Add a BASE element.
    `HamletSpec._Head` | `base(String uri)` Add a complete BASE element.
    `HamletSpec.TITLE` | `title()` Add a TITLE element.
    `HamletSpec._Head` | `title(String cdata)` Add a TITLE element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.HeadMisc

      `link, link, meta_http, meta, meta, style, style`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Script

      `script, script`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Object

      `object, object`

- - ### Method Detail

    - #### title

          HamletSpec.TITLE title()

      Add a TITLE element.
      Returns:
        a new TITLE element builder

    - #### title

          HamletSpec._Head title(String cdata)

      Add a TITLE element.
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### base

          HamletSpec.BASE base()

      Add a BASE element.
      Returns:
        a new BASE element builder

    - #### base

          HamletSpec._Head base(String uri)

      Add a complete BASE element.
      Parameters:
        `uri` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.